Wishlist tasks suggested for the Wikimania Hackathon 2016
Closed, ResolvedPublic

Description

Recommendations for the Wikimania Hackathon 2016. -- The hackathons in 2015 had great showcases of prototypes but a low impact on actual improvements for our editors and readers. In order to improve this situation, we are promoting tasks identified by our communities, as possible hackathon projects.

Criteria for projects

  • Scope is defined enough to be possible in a couple of hacking days, or there's a small-scope piece of the proposal that could be broken off from the larger idea.
  • Non-controversial, won't need further community discussion before you get started
  • Minimal design needs

Projects recommended by Community-Tech (WIP)

The priority order is based on the number of support votes the proposal got at the Technical Wishlist Survey. The full table is here, with links to the proposals:

#15: T120733: Improve date range searches on Special:Contributions Well scoped, clearly defined, minimal design.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#Improve_date_range_searches_on_Special:Contributions

#25: T120788: Tool to use Google OCRs in Indic language Wikisource
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikisource#Tool_to_use_Google_OCRs_in_Indic_language_Wikisource

#27: T109561: Add non-exact title search to Special:Undelete and corresponding API Well-defined, would be very useful for admins. This task would provide a means of searching for deleted pages.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Search#Provide_a_means_of_searching_for_deleted_pages

#43: T22307: Generate automatic summary /* blah */ when I manually add a section heading when editing Well-defined, not controversial, could be very helpful.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Generate_automatic_summary_.2F.2A_blah_.2A.2F_when_I_manually_add_a_section_heading_when_editing

Projects recommended by TCB-Team (WIP)

#34: T73808: Support tables in PDF rendering (tracking) - Since the whole story is too big for a hackathon, we have scaled it down to 3 sub tasks
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Templates#Inserting_templates_.28tables.29_in_PDF_and_Books
Subtasks suitable for the hackathon:

Additional projects recommended by Wikidata team

Additional tasks that Hackathon attendees are interested in, or planning to work on

Start or continue the discussions, now!

Want to work on something else?

Tag your task with Wikimania-Hackathon-2016 and find someone to work with!

Background

The Community-Tech team is organizing a Community Wishlist Survey that will result in a prioritized backlog of tasks. That team will work on some of the tasks but not all. What about using the developer energy around the Wikimedia-Hackathon-2016 to get more tasks of that list resolved?

The idea can be extrapolated to other wishlists in Wikimedia, like German Wikipedia's Technische Wünsche 2015, Wikisource's technical needs, even Possible-Tech-Projects...

We could match identified tasks with Wikimedia developers willing to work on them with local developer groups willing to participate in the hackathon (T119694).


See Also:

Related Objects

Quiddity created this task.May 16 2016, 6:25 PM
Restricted Application added subscribers: Zppix, JEumerus, Aklapper. · View Herald TranscriptMay 16 2016, 6:25 PM
Quiddity updated the task description. (Show Details)May 16 2016, 6:39 PM
Bmueller added a subscriber: Bmueller.
Bmueller added a subscriber: Lea_WMDE.
Bmueller updated the task description. (Show Details)May 18 2016, 3:19 PM
Bmueller updated the task description. (Show Details)
Bmueller updated the task description. (Show Details)May 19 2016, 11:02 AM
Qgil assigned this task to Quiddity.
Qgil added a subscriber: Qgil.

This task is in a sprint, and needs someone assigned to it. Assuming @Quiddity, feel free to change if this is not correct.

Quiddity updated the task description. (Show Details)May 31 2016, 6:49 AM
Qgil triaged this task as Normal priority.May 31 2016, 7:42 AM

Assuming Normal priority. Please fine tune if you disagree.

Quiddity updated the task description. (Show Details)Jun 5 2016, 7:29 PM
Quiddity updated the task description. (Show Details)Jun 9 2016, 5:37 AM
Quiddity updated the task description. (Show Details)Jun 9 2016, 5:47 AM
Lea_WMDE updated the task description. (Show Details)Jun 9 2016, 4:08 PM
JeanFred updated the task description. (Show Details)Jun 9 2016, 6:24 PM
Bodhisattwa updated the task description. (Show Details)Jun 18 2016, 3:40 AM
DannyH added a subscriber: DannyH.Jun 20 2016, 11:35 PM